Bug 604762 - qemu segfault in block/vvfat.c
Summary: qemu segfault in block/vvfat.c
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin M. Forbes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2f2c4f7c3d841741944d25e8bff...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 17:00 UTC by Tobias Mueller
Modified: 2013-01-09 11:35 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 16:44:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.03 KB, text/plain)
2010-06-16 17:00 UTC, Tobias Mueller
no flags Details

Description Tobias Mueller 2010-06-16 17:00:40 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: qemu-system-x86_64 -hda vista.img -hdb fat:rw:/tmp/share -boot c -m 1024 -monitor stdio -S -snapshot
comment: Without the -hdb fat:rw:/tmp/share option, it doesn't crash (it doesn't boot either, but no crash).
component: qemu
crash_function: raise
executable: /usr/bin/qemu-system-x86_64
global_uuid: 2f2c4f7c3d841741944d25e8bffa7a3164f2b4b4
kernel: 2.6.32.12-115.fc12.x86_64
package: qemu-system-x86-2:0.11.0-13.fc12
rating: 4
reason: Process /usr/bin/qemu-system-x86_64 was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. I just ran qemu-system-x86_64 -hda vista.img -hdb fat:rw:/tmp/share ...
2.
3.

Comment 1 Tobias Mueller 2010-06-16 17:00:43 UTC
Created attachment 424525 [details]
File: backtrace

Comment 2 Amit Shah 2010-06-16 17:14:40 UTC
It's a crash in the vfat code in qemu. Can you try any of the newer qemu-kvm rpms, like the one from virt-preview, which is based off qemu 0.12?

Comment 3 Tobias Mueller 2010-06-16 17:21:10 UTC
Hey Amit :-)

I've looked through the code on git myself and it seems to have changed to the better.

If you give me an RPM, I'd happily install and test it.

Comment 4 Amit Shah 2010-06-17 04:11:53 UTC
There's a wiki page that details how to use the virt-preview repo:

http://fedoraproject.org/wiki/Virtualization_Preview_Repository

Does that work? Upgrading to a newer qemu upgrades certain other rpms too, so it's difficult to point to just one rpm.

Comment 5 Tobias Mueller 2010-06-17 12:21:30 UTC
I've installed Fedora 13 and it still crashes: see bug 605202.

Comment 6 Justin M. Forbes 2010-09-02 16:44:03 UTC
This should be fixed with the latest qemu-0.12.5 packages in F13.  Please reopen if this is not the case.


Note You need to log in before you can comment on or make changes to this bug.